VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::appliance::techpreview::NtpTypes::NTPStatus Class Reference

`Ntp.NTPStatus` enumerated type Defines NTP status More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, Down, Unknown, Up }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static NTPStatus[] | GetValues ()
static NTPStatus | ValueOf (string name)
## Static Public Attributes
static readonly NTPStatus | Down = new NTPStatus("Down", Values.Down)
| NTP daemon is not running.
static readonly NTPStatus | Unknown = new NTPStatus("Unknown", Values.Unknown)
| Cannot retrieve NTP daemon status.
static readonly NTPStatus | Up = new NTPStatus("Up", Values.Up)
| NTP daemon is running.

## Detailed Description

`Ntp.NTPStatus` enumerated type Defines NTP status

## Member Enumeration Documentation

enum vmware::appliance::techpreview::NtpTypes::NTPStatus::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  Down | NTP daemon is not running.
  Unknown | Cannot retrieve NTP daemon status.
  Up | NTP daemon is running.

## Member Function Documentation

Values vmware::appliance::techpreview::NtpTypes::NTPStatus::GetEnumValue | ( |  | ) | `[inline]`

static NTPStatus [] vmware::appliance::techpreview::NtpTypes::NTPStatus::GetValues | ( |  | ) | `[inline, static]`

bool vmware::appliance::techpreview::NtpTypes::NTPStatus::IsUnknown | ( |  | ) | `[inline]`

static NTPStatus vmware::appliance::techpreview::NtpTypes::NTPStatus::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly NTPStatus vmware::appliance::techpreview::NtpTypes::NTPStatus::Down = new NTPStatus("Down", Values.Down)`[static]`

NTP daemon is not running.

readonly NTPStatus vmware::appliance::techpreview::NtpTypes::NTPStatus::Unknown = new NTPStatus("Unknown", Values.Unknown)`[static]`

Cannot retrieve NTP daemon status.

readonly NTPStatus vmware::appliance::techpreview::NtpTypes::NTPStatus::Up = new NTPStatus("Up", Values.Up)`[static]`

NTP daemon is running.

The documentation for this class was generated from the following file:

- NtpTypes.cs